VideosOpenAI Compatible
OpenAI 兼容视频生成
通过 OpenAI 兼容的 `/v1/videos` 接口创建视频生成任务,适用于 PixVerse、Veo、Seedance 等兼容提供商。
通过 OpenAI 兼容的 /v1/videos 接口创建视频生成任务,适用于 PixVerse、Veo、Seedance 等兼容提供商。
Authorization
bearerAuth AuthorizationBearer <token>
使用 Authorization Bearer API Key 进行鉴权。
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/videos" \ -H "Content-Type: application/json" \ -d '{ "model": "pixverse-v4.5", "prompt": "城市夜景中的霓虹招牌缓慢亮起", "duration": 5, "aspect_ratio": "16:9" }'{
"id": "task_123456",
"task_id": "task_123456",
"object": "video.generation",
"status": "succeeded",
"model": "string",
"created_at": 0,
"updated_at": 0,
"url": "http://example.com",
"content_url": "http://example.com",
"output": [
{}
],
"error": {}
}{
"error": {
"code": "string",
"message": "string",
"request_id": "string"
}
}